\resizebox{\columnwidth}{!}{%
    \begin{tikzpicture}[
        roundnode/.style={circle, draw=black, fill=black, very thick, minimum size=1pt,},
        ignorednode/.style={circle, draw=black!20, fill=black!20, very thick, minimum size=1pt,},
        arrow/.style={|->, thick,},
        message/.style={->, blue!50, dashed, -{Circle[length=4pt,]}},
        ]

        \node[roundnode] (11) {};
        \node[above] at (11.north) {$w(1)$};
        \node[roundnode] (12) [right=of 11] {};
        \node[above] at (12.north) {$r/(2,1)$};
        \node[roundnode] (13) [right=of 12] {};
        \node[above] at (13.north) {$r/(2,1)^\omega$};

        \draw[arrow] (11) -- (12);
        \draw[arrow] (12) -- (13);

        \node[roundnode] (21) [below=20pt of 11] {};
        \node[left] at (21.west) {$r/(0,1)$};
        \node[roundnode] (22) [right=of 21] {};
        \node[right] at (22.east) {$w(2)$};

        \draw[arrow] (21) -- (22);

        \draw[message] (11) -- (21);
        \draw[message] (22) -- (12);
    \end{tikzpicture}
}